From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 2 May 2012<P>

musicalduck, about <a href="/blend/wv.cgi?id=2012.05.01.23.28.5807"><i>Untitled</i></a>:<BR>
love this.
<HR>
From: <a href="/blend/av.cgi?id=48">Laurel Ahlfeld</a><BR>
Date: 2 May 2012<P>

<BR>
 Em Hatemore, about <a href="/blend/wv.cgi?id=2012.04.19.11.11.22256">I see you've been home</a>:<BR>
<BR>
Just so you know, psycho... I visited because someone in my family died. And I'm not moving home because I'm broke. My lease is ending and I'm waiting for my apt in New York to open back up. Grow up. Get a life. It's unhealthy how obsessed you are with me. If you invested all this energy into doing something positive with your life, maybe you wouldn't be so jealous I was brave enough to take a chance. Failure is never trying. Don't be so mad that I have awesome, loving parents and have followed my dreams. Oh, and I work my ass off to support myself. So, get your story straight. Perception is not reality. Btw, thanks for ruining this place for me. Focus on finding your own happiness, not destroying others.
<HR>
From: <a href="/blend/av.cgi?id=517">musicalduck</a><BR>
Date: 2 May 2012<P>

Star of David, thank you! I've been typing some of these on my phone and keep forgetting to put a title.
<HR>